Package org.apache.sling.scripting.sightly.impl.compiler.frontend

## Class Fragment.Expr

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.compiler.frontend.Fragment.Expr

All Implemented Interfaces:
  `Fragment`

Enclosing interface:
  Fragment

    public static class Fragment.Expr
    extends Object
    implements Fragment

A fragment which is an expression.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.sling.scripting.sightly.impl.compiler.frontend.Fragment

`Fragment.Expr, Fragment.Text`

### Constructor Summary

Constructors
`Expr​(Expression expression)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Expression` `getExpression()`
`String` `getText()`
`boolean` `isExpression()`
`boolean` `isString()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Expr

    public Expr​(Expression expression)

### Method Detail

#### getExpression

    public Expression getExpression()

Specified by:
  `getExpression` in interface `Fragment`

#### getText

    public String getText()

Specified by:
  `getText` in interface `Fragment`

#### isString

    public boolean isString()

Specified by:
  `isString` in interface `Fragment`

#### isExpression

    public boolean isExpression()

Specified by:
  `isExpression` in interface `Fragment`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`